Updating branch name

Signed-off-by: John Dorman <john@boostchicken.dev>
This commit is contained in:
John D 2022-06-24 03:33:29 -07:00 committed by John Dorman
parent 04ffaef459
commit 6731b2432f
21 changed files with 38 additions and 38 deletions

View File

@ -7,7 +7,7 @@
## Requirements
1. You have setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
1. AdguardHome persists through firmware updates as it will store the configuration in a folder (you need to create this). It needs 2 folders, a Work and Configuration folder. Please create the 2 folders in "/mnt/data/". In my example I created "AdguardHome-Confdir" and "AdguardHome-Workdir"
## Customization

View File

@ -30,7 +30,7 @@ Look at the assets on the Podman workflow.
Do this first. Enables `init.d` style scripts to run on every boot of your UDM.
Includes examples to run `wpa-supplicant/eap-proxy` and/or `ntop-ng` on startup.
Follow this [readme](https://github.com/boostchicken-dev/udm-utilities/blob/master/on-boot-script/README.md).
Follow this [readme](https://github.com/boostchicken-dev/udm-utilities/blob/main/on-boot-script/README.md).
**It enables complete customization of your UDM/P and fills the gap that config.gateway.json left behind.**
@ -86,7 +86,7 @@ It supports OpenVPN, WireGuard, and OpenConnect (Cisco AnyConnect) clients runni
## DNS Providers
Install a DNS server that functions as a network-wide ad and tracker blocker, and which can also securely proxy encrypted DNS requests to an upstream DNS provider.
Begin by following the instructions to setup [on-boot-script](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script) and [dns-common](https://github.com/boostchicken-dev/udm-utilities/tree/master/dns-common/on_boot.d).
Begin by following the instructions to setup [on-boot-script](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script) and [dns-common](https://github.com/boostchicken-dev/udm-utilities/tree/main/dns-common/on_boot.d).
Then, follow the guides below to setup either Pi-Hole, NextDNS, or AdGuard Home.
### dns-common

View File

@ -11,7 +11,7 @@ Complete feature list and documentation can be found [here](https://github.com/t
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
2. You must have a cloudflare profile with at least one domain.
3. You must have a valid cloudflare api token with correct permissions (see [complete documentation](https://github.com/timothymiller/cloudflare-ddns) for details)

View File

@ -6,7 +6,7 @@
## Requirements
1. You have already setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have already setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
## Customization
@ -17,7 +17,7 @@ While a 100Mb log limit per container should give plenty of log data for all fea
1. Run as root on UDM Pro to download and set permissions of on_boot.d script:
```sh
# Download 05-container-common.sh from GitHub
curl -L https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/master/container-common/on_boot.d/05-container-common.sh -o /mnt/data/on_boot.d/05-container-common.sh;
curl -L https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/main/container-common/on_boot.d/05-container-common.sh -o /mnt/data/on_boot.d/05-container-common.sh;
# Set execute permission
chmod a+x /mnt/data/on_boot.d/05-container-common.sh;
```

View File

@ -33,7 +33,7 @@ CONTAINER=pihole
if ! test -f /opt/cni/bin/macvlan; then
echo "Error: CNI plugins not found. You can install it with the following command:" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/master/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/main/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
exit 1
fi

View File

@ -7,7 +7,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
2. You have to have services you want to load-balance, an example would be a multi-master k3s cluster.
## Steps

View File

@ -6,15 +6,15 @@
3. Persists through reboots and firmware updates.
### Requirements
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script).
2. You have applied [container-common](https://github.com/boostchicken-dev/udm-utilities/tree/master/container-common) change to prevent UDM storage to fill up with Homebridge logs and addon error messages that can move fast.
3. You have applied [cni-plugins](https://github.com/boostchicken-dev/udm-utilities/tree/master/cni-plugins "cni-plugins") to setup for cni configeration. (You dont need the configeration files, just place the script in the on boot folder.)
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script).
2. You have applied [container-common](https://github.com/boostchicken-dev/udm-utilities/tree/main/container-common) change to prevent UDM storage to fill up with Homebridge logs and addon error messages that can move fast.
3. You have applied [cni-plugins](https://github.com/boostchicken-dev/udm-utilities/tree/main/cni-plugins "cni-plugins") to setup for cni configeration. (You dont need the configeration files, just place the script in the on boot folder.)
### Steps
1. Type this command: `mkdir -p /mnt/data/homebridge/run`
2. Copy [25-homebridge.sh](on_boot.d/25-homebridge.sh) to `/mnt/data/on_boot.d`. To do this, cd into `/mnt/data/on_boot.d`, then type `vim 25-homebridge.sh` then go to [this page](https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/master/homebridge/on_boot.d/25-homebridge.sh "this page") and copy everything using CTRL + A and then CTRL + C and then paste it into vim then click ESC and then type `:x` then click the enter key.
3. Copy [90-homebridge.conflist](cni/90-homebridge.conflist) to `/mnt/data/podman/cni`. This will create the podman network that bridges the container to your VLAN. To do this, cd into `/mnt/data/podman/cni` and type `vim 90-homebridge.conflist` then go to [this page](https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/master/homebridge/cni/90-homebridge.conflist "this page") and the press CTRL + A and then CTRL + C and then paste it into vim and click ESC and then type `:x` then click the enter key.
2. Copy [25-homebridge.sh](on_boot.d/25-homebridge.sh) to `/mnt/data/on_boot.d`. To do this, cd into `/mnt/data/on_boot.d`, then type `vim 25-homebridge.sh` then go to [this page](https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/main/homebridge/on_boot.d/25-homebridge.sh "this page") and copy everything using CTRL + A and then CTRL + C and then paste it into vim then click ESC and then type `:x` then click the enter key.
3. Copy [90-homebridge.conflist](cni/90-homebridge.conflist) to `/mnt/data/podman/cni`. This will create the podman network that bridges the container to your VLAN. To do this, cd into `/mnt/data/podman/cni` and type `vim 90-homebridge.conflist` then go to [this page](https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/main/homebridge/cni/90-homebridge.conflist "this page") and the press CTRL + A and then CTRL + C and then paste it into vim and click ESC and then type `:x` then click the enter key.
4. Run the Homebridge docker container. Change the timezone (`-e TZ`) to match your timezone, and DNS (`--dns`) to match your VLAN gateway.
```shell script
@ -41,4 +41,4 @@
- Update [90-homebridge.conflist](cni/90-homebridge.conflist) to match your network:
- Change `"bridge": "br0"` to the appropriate VLAN for your network.
- Update `"subnet"` and `"gateway"` to match that VLAN.
- If you want a specific IP assigned, update `"rangeStart"` and `"rangeEnd"`. Otherwise those properties can be deleted.
- If you want a specific IP assigned, update `"rangeStart"` and `"rangeEnd"`. Otherwise those properties can be deleted.

View File

@ -8,7 +8,7 @@ This mod adds logging prefixes to messages from `/var/log/messages` allowing you
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
## General idea

View File

@ -4,7 +4,7 @@
## Prerequisities
- Working **`on_boot.d`** setup (check [boostchicken/udm-utilities#on-boot-script](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script) for instructions)
- Working **`on_boot.d`** setup (check [boostchicken/udm-utilities#on-boot-script](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script) for instructions)
- A VLAN network (you can use one you're already using)
#### Optional:

View File

@ -10,7 +10,7 @@ CONTAINER_CNI_PATH="/mnt/data/podman/cni/45-mosquitto.conflist"
# make sure cni plugs are installed
if ! test -f /opt/cni/bin/macvlan; then
echo "Error: CNI plugins not found. You can install it with the following command:" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/master/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/main/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
exit 1
fi

View File

@ -9,7 +9,7 @@
## Requirements
1. You have already setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have already setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
## Customization

View File

@ -6,4 +6,4 @@ Source: https://github.com/boostchicken-dev/udm-utilities
Files: *
Copyright: 2020 dorman@ataxia.cloud
License: GPL-3
https://github.com/boostchicken-dev/udm-utilities/blob/master/LICENSE
https://github.com/boostchicken-dev/udm-utilities/blob/main/LICENSE

View File

@ -1,7 +1,7 @@
#!/bin/sh
# Download and install the service
podman exec unifi-os curl -fsSLo /lib/systemd/system/udm-boot.service https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/master/on-boot-script/dpkg-build-files/udm-boot.service
podman exec unifi-os curl -fsSLo /lib/systemd/system/udm-boot.service https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/main/on-boot-script/dpkg-build-files/udm-boot.service
# If you want to manually install this offline,
# Have that file downloaded first, scp it to udm (e.g. /tmp/udm-boot.service)
@ -10,4 +10,4 @@ podman exec unifi-os curl -fsSLo /lib/systemd/system/udm-boot.service https://ra
# podman cp /tmp/udm-boot.service unifi-os:/lib/systemd/system/udm-boot.service
# Start the service
podman exec unifi-os systemctl enable --now udm-boot.service
podman exec unifi-os systemctl enable --now udm-boot.service

View File

@ -7,7 +7,7 @@ SYMLINK_SYSTEMCTL="/etc/systemd/system/multi-user.target.wants/udm-boot.service"
CNI_PLUGINS_SCRIPT_RAW_URL="https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/HEAD/cni-plugins/05-install-cni-plugins.sh"
CNI_PLUGINS_ON_BOOT_FILENAME="$(basename "$CNI_PLUGINS_SCRIPT_RAW_URL")"
CNI_BRIDGE_SCRIPT_RAW_URL="https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/master/on-boot-script/examples/udm-networking/on_boot.d/06-cni-bridge.sh"
CNI_BRIDGE_SCRIPT_RAW_URL="https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/main/on-boot-script/examples/udm-networking/on_boot.d/06-cni-bridge.sh"
CNI_BRIDGE_ON_BOOT_FILENAME="$(basename "$CNI_BRIDGE_SCRIPT_RAW_URL")"
GITHUB_API_URL="https://api.github.com/repos"
@ -18,11 +18,11 @@ GITHUB_REPOSITORY="boostchicken-dev/udm-utilities"
header() {
cat << EOF
_ _ ___ __ __ ___ _
| | | | \| \/ | | _ ) ___ ___| |_
_ _ ___ __ __ ___ _
| | | | \| \/ | | _ ) ___ ___| |_
| |_| | |) | |\/| | | _ \/ _ \/ _ \ _|
\___/|___/|_| |_| |___/\___/\___/\__|
Execute any script when your udm system
starts.
@ -69,7 +69,7 @@ get_persistent_path() {
echo "ERROR: No persistent storage found." 1>&2
exit 1
fi
mkdir -p "$DATA_DIR"
echo "$DATA_DIR"
@ -99,7 +99,7 @@ download_on_path() {
install_on_boot_udm_series() {
download_url="$(get_latest_download_url)"
tmp_path="/tmp/$(basename "${download_url}")"
podman exec unifi-os systemctl disable udmboot >/dev/null 2>&1 || true
podman exec unifi-os systemctl disable udm-boot >/dev/null 2>&1 || true
podman exec unifi-os systemctl daemon-reload >/dev/null 2>&1 || true

View File

@ -11,7 +11,7 @@ CONMON_DL=/mnt/data/.cache/conmon-$CONMON_VERSION
SECCOMP=/usr/share/containers/seccomp.json
while [ ! -f $CONMON_DL ]; do
curl -fsSLo $CONMON_DL https://github.com/boostchicken-dev/udm-utilities/blob/master/podman-update/bin/conmon-$CONMON_VERSION?raw=true
curl -fsSLo $CONMON_DL https://github.com/boostchicken-dev/udm-utilities/blob/main/podman-update/bin/conmon-$CONMON_VERSION?raw=true
sleep 1
done
chmod +x $CONMON_DL
@ -21,7 +21,7 @@ fi
ln -s $CONMON_DL /usr/libexec/podman/conmon
if [ ! -f $PODMAN_DL ]; then
curl -fsSLo $PODMAN_DL https://github.com/boostchicken-dev/udm-utilities/blob/master/podman-update/bin/podman-$PODMAN_VERSION?raw=true
curl -fsSLo $PODMAN_DL https://github.com/boostchicken-dev/udm-utilities/blob/main/podman-update/bin/podman-$PODMAN_VERSION?raw=true
fi
chmod +x $PODMAN_DL
if [ ! -f /usr/bin/podman.old ]; then
@ -30,7 +30,7 @@ fi
ln -s $PODMAN_DL /usr/bin/podman
if [ ! -f $RUNC_DL ]; then
curl -fsSLo $RUNC_DL https://github.com/boostchicken-dev/udm-utilities/blob/master/podman-update/bin/runc-$RUNC_VERSION?raw=true
curl -fsSLo $RUNC_DL https://github.com/boostchicken-dev/udm-utilities/blob/main/podman-update/bin/runc-$RUNC_VERSION?raw=true
fi
chmod +x $RUNC_DL
if [ ! -f /usr/bin/runc.old ]; then
@ -40,7 +40,7 @@ ln -s $RUNC_DL /usr/bin/runc
if [ ! -f $SECCOMP ]; then
mkdir -p /usr/share/containers/
curl -fsSLo $SECCOMP https://github.com/boostchicken-dev/udm-utilities/blob/master/podman-update/bin/seccomp.json?raw=true
curl -fsSLo $SECCOMP https://github.com/boostchicken-dev/udm-utilities/blob/main/podman-update/bin/seccomp.json?raw=true
fi
sed -i 's/driver = ""/driver = "overlay"/' /etc/containers/storage.conf
sed -i 's/ostree_repo = ""/#ostree_repo = ""/' /etc/containers/storage.conf

View File

@ -19,7 +19,7 @@ minecraft_1 | [init] Starting the Minecraft server...
```
## Requirements
1. You have successfully set up the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have successfully set up the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
1. [05-install-cni-plugins.sh](../cni-plugins/05-install-cni-plugins.sh) installed
## Customization

View File

@ -6,7 +6,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
## Steps

View File

@ -7,7 +7,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
## Customizations

View File

@ -7,7 +7,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
## Customization

View File

@ -32,7 +32,7 @@ CONTAINER=unbound
if ! test -f /opt/cni/bin/macvlan; then
echo "Error: CNI plugins not found. You can install it with the following command:" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/master/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
echo " curl -fsSLo /mnt/data/on_boot.d/05-install-cni-plugins.sh https://raw.githubusercontent.com/boostchicken-dev/udm-utilities/main/cni-plugins/05-install-cni-plugins.sh && /bin/sh /mnt/data/on_boot.d/05-install-cni-plugins.sh" >&2
exit 1
fi
@ -57,4 +57,4 @@ if podman container exists "${CONTAINER}"; then
podman start "${CONTAINER}"
else
logger -s -t podman-unbound -p "ERROR Container ${CONTAINER} not found, make sure you set the proper name, you can ignore this error if it is your first time setting it up"
fi
fi

View File

@ -8,7 +8,7 @@
## Requirements
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/master/on-boot-script)
1. You have successfully setup the on boot script described [here](https://github.com/boostchicken-dev/udm-utilities/tree/main/on-boot-script)
1. Not recommended for Wireguard newbies. Set it up on other devices first. This document does not include iptables / nat rules
## Customization